PAM_SM_ACCT_MGMT(3)

NAME
pam_sm_acct_mgmt - PAM service function for account management

SYNOPSIS

#include <security/pam_modules.h>

int pam_sm_acct_mgmt(pam_handle_t *pamh, int flags, int argc, const char **argv);

DESCRIPTION

The pam_sm_acct_mgmt function is the service module's implementation of the pam_acct_mgmt(3) interface.

This function performs the task of establishing whether the user is permitted to gain access at this time. It should be understood that the user has previously been validated by an authentication module. This function checks for other things. Such things might be: the time of day or the date, the terminal line, remote hostname, etc. This function may also determine things like the expiration on passwords, and respond that the user change it before continuing.

Valid flags, which may be logically OR'd with PAM_SILENT, are:

PAM_SILENT
    Do not emit any messages.

PAM_DISALLOW_NULL_AUTHTOK
    Return PAM_AUTH_ERR if the database of authentication tokens for this authentication mechanism has a NULL entry for the user.

RETURN VALUES

PAM_ACCT_EXPIRED
    User account has expired.

PAM_AUTH_ERR
    Authentication failure.

PAM_NEW_AUTHTOK_REQD
    The user's authentication token has expired. Before calling this function again the application will arrange for a new one to be given. This will likely result in a call to pam_sm_chauthtok().

PAM_PERM_DENIED
    Permission denied.

PAM_SUCCESS
    The authentication token was successfully updated.

PAM_USER_UNKNOWN
    User unknown to password service.

SEE ALSO

pam(3), pam_acct_mgmt(3), pam_sm_chauthtok(3), pam_strerror(3), PAM(8)